Bug 729541 - after saving translation (with save button), encoding lost and text become ??? instead of real data
after saving translation (with save button), encoding lost and text become ??...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: DatabaseChange (Show other bugs)
1.3
Unspecified Unspecified
urgent Severity urgent
: Sprint-26
: ---
Assigned To: zanata-dev-internal
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-10 02:12 EDT by A S Alam
Modified: 2013-07-02 21:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:25:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screen shot for broken encoding (67.72 KB, image/png)
2011-08-10 02:12 EDT, A S Alam
no flags Details
encoding still broken; TM suggests ???? (161.90 KB, image/png)
2011-11-24 23:02 EST, sandeep shedmake
no flags Details

  None (edit)
Description A S Alam 2011-08-10 02:12:03 EDT
Created attachment 517520 [details]
Screen shot for broken encoding

Description of problem:
after saving translation (with save button), encoding lost and text become ??? instead of real data


Version-Release number of selected component (if applicable):
20110509-2113

How reproducible:
everytime

Steps to Reproduce:
1. https://fedora.zanata.org/zanata/project/view/zanata-quickstart-guide
2. select Punjabi (pa-IN)
3. do translation (any put any data for pa_IN)
4. Save it
5. Move to next line

Actual results:
text at bottom shown as ???

Expected results:
UTF-8 encoding should not broken


Additional info:
tried with another project iok, same issue happened.
screen-shot attached
Comment 1 A S Alam 2011-08-10 02:18:01 EDT
no need to translate, just open any file (like Hindi (hi). whole text is ?????
Comment 2 A S Alam 2011-08-10 02:27:00 EDT
Punjabi Text (ਭਾਰਤੀ ਆਨਸਕਰੀਨ ਕੀਬੋਰਡ) for reference.
Comment 3 Ding-Yi Chen 2011-08-10 02:35:16 EDT
Bug reproduced and confirmed with non-English text, such as
"快速指南"
Comment 4 Ding-Yi Chen 2011-08-10 03:16:21 EDT
Further testing indicate this bug is only on fedora.zanata.org.

On fedora.zanata.org, not only tranlation editor, but also project editing dialog are affected.
Comment 5 Sean Flanigan 2011-08-10 22:04:44 EDT
Database tables were created with the wrong encoding settings.  Sorry, but any existing Unicode text will need to be re-entered.
Comment 6 Ding-Yi Chen 2011-08-11 00:47:05 EDT
Fix Verified
Comment 7 sandeep shedmake 2011-11-24 23:02:31 EST
Created attachment 536141 [details]
encoding still broken; TM suggests ????

From Comment 4, Comment 5 and Comment 6

As per the attachment attached in this comment, encoding seems broken.

Broken encoding was reproduced while localizing project "aeolus conductor" hosted at translate.zanata.org running Zanata version 1.4.2 (20111031-0915).


Since, existing Unicode text will need to be re-entered; does localizer have any control over TM gets the translations suggestions had a ???? for an equivalent strings ?

Note You need to log in before you can comment on or make changes to this bug.